> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer organization

> Create a customer organization to manage parent-child relationships for your [customers](/customers/overview).



## OpenAPI

````yaml customer.2024-07-30.product.live POST /customer-organizations
openapi: 3.0.0
info:
  title: Customers
  description: Manage customers and contacts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /customer-organizations:
    servers: []
    parameters: []
    post:
      tags:
        - Organizations
      summary: Create a customer organization
      description: >-
        Create a customer organization to manage parent-child relationships for
        your [customers](/customers/overview).
      operationId: postCustomerOrganizations
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerOrganizationRequest'
              example:
                ownerId: 50af5191-05a3-42a5-802a-6b59091157af
                memberIds:
                  - e309e948-088e-4d77-b654-cd85498f1555
                  - 50af5191-05a3-42a5-802a-6b59091157af
            examples:
              CustomerOrganizationRequest:
                summary: ''
                value:
                  ownerId: 50af5191-05a3-42a5-802a-6b59091157af
                  memberIds:
                    - e309e948-088e-4d77-b654-cd85498f1555
                    - 50af5191-05a3-42a5-802a-6b59091157af
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerOrganization'
                example:
                  id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                  owner:
                    id: 50af5191-05a3-42a5-802a-6b59091157af
                    name: FinTech Solutions Inc.
                  members:
                    - id: e309e948-088e-4d77-b654-cd85498f1555
                      name: Fintech Payment Processing
                    - id: 50af5191-05a3-42a5-802a-6b59091157af
                      name: Fintech Lending Services
              examples:
                CustomerOrganization:
                  summary: ''
                  value:
                    id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                    owner:
                      id: 50af5191-05a3-42a5-802a-6b59091157af
                      name: FinTech Solutions Inc.
                    members:
                      - id: e309e948-088e-4d77-b654-cd85498f1555
                        name: Fintech Payment Processing
                      - id: 50af5191-05a3-42a5-802a-6b59091157af
                        name: Fintech Lending Services
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    CustomerOrganizationRequest:
      required:
        - memberIds
        - ownerId
      type: object
      example:
        ownerId: 50af5191-05a3-42a5-802a-6b59091157af
        memberIds:
          - e309e948-088e-4d77-b654-cd85498f1555
          - 50af5191-05a3-42a5-802a-6b59091157af
      properties:
        ownerId:
          type: string
          description: ID of the customer that will own the organization.
          example: 50af5191-05a3-42a5-802a-6b59091157af
        memberIds:
          type: array
          description: >-
            IDs of the customers who are members of this organization, excluding
            the owner. These are the children in a parent-child relationship.
            You can pass an empty array if they are not yet known.
          example:
            - e309e948-088e-4d77-b654-cd85498f1555
            - 50af5191-05a3-42a5-802a-6b59091157af
          items:
            type: string
    CustomerOrganization:
      required:
        - id
        - members
        - owner
      type: object
      example:
        id: c0dc4e79-ec52-4811-8cf5-addb2527915c
        owner:
          id: 50af5191-05a3-42a5-802a-6b59091157af
          name: FinTech Solutions Inc.
        members:
          - id: e309e948-088e-4d77-b654-cd85498f1555
            name: Fintech Payment Processing
          - id: 50af5191-05a3-42a5-802a-6b59091157af
            name: Fintech Lending Services
      properties:
        id:
          type: string
          description: Organization ID
          example: c0dc4e79-ec52-4811-8cf5-addb2527915c
        owner:
          $ref: '#/components/schemas/CustomerIdWithName'
        members:
          type: array
          description: >-
            Members of the customer organization, excluding the owner. These are
            the children in a parent-child relationship.
          example:
            - id: e309e948-088e-4d77-b654-cd85498f1555
              name: Fintech Payment Processing
            - id: 50af5191-05a3-42a5-802a-6b59091157af
              name: Fintech Lending Services
          items:
            $ref: '#/components/schemas/CustomerIdWithName'
    CustomerIdWithName:
      required:
        - id
        - name
      type: object
      description: ID of the customer that will own the organization.
      example:
        id: 50af5191-05a3-42a5-802a-6b59091157af
        name: FinTech Solutions Inc.
      properties:
        id:
          type: string
          description: Customer ID
          example: 50af5191-05a3-42a5-802a-6b59091157af
        name:
          type: string
          description: Customer legal name
          example: FinTech Solutions Inc.

````